Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class AccessControlListDeferredUpdate

    java.lang.Object
      oracle.ifs.common.AccessControlListDeferredUpdate

All Implemented Interfaces:
  java.io.Serializable

    public final class AccessControlListDeferredUpdate

extends java.lang.Object
implements java.io.Serializable

A AccessControlListDeferredUpdate contains information used to update the ACL discoverer table asynchronously by an agent.

See Also:
  Serialized Form
(Unpublished)

Field Summary
`protected java.lang.Long` | `m_Id` The id of the deferred update entry
`protected java.lang.Long` | `m_LeftId` The left id
`protected int` | `m_OperationType` The operation type.
`protected java.lang.Long` | `m_RightId` The right id
`static int` | `OPERATION_TYPE_ADD_MEMBER_TO_GROUP` The operation type for adding a DirectoryObject to a group Current value is 4.
`static int` | `OPERATION_TYPE_FREE_DO` The operation type for freeing a DirectoryObject.
`static int` | `OPERATION_TYPE_NEW_DO` The operation type for a new DirectoryObject.
`static int` | `OPERATION_TYPE_REMOVE_MEMBER_FROM_GROUP` The operation type for removing a DirectoryObject from a group Current value is 5.
`static int` | `OPERATION_TYPE_UPDATE_ACL_DISCOVERERS` The operation type for an update to an ACL.

Constructor Summary
`AccessControlListDeferredUpdate(long id, int operationType, long leftId, long rightId)` Constructs a AccessControlListDeferredUpdate.

Method Summary
`java.lang.Long` | `getId()` Gets the id of the entry
`java.lang.Long` | `getLeftId()` Gets the left object ID for the entry
`int` | `getOperationType()` Gets the operation type for the entry
`java.lang.Long` | `getRightId()` Gets the right object ID for the entry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPERATION_TYPE_UPDATE_ACL_DISCOVERERS

    public static final int OPERATION_TYPE_UPDATE_ACL_DISCOVERERS

  Description copied from class: `AccessControlListDeferredUpdate`
  The operation type for an update to an ACL. Current value is 1.

  See Also:
    Constant Field Values
  (Unpublished)

### OPERATION_TYPE_NEW_DO

    public static final int OPERATION_TYPE_NEW_DO

  Description copied from class: `AccessControlListDeferredUpdate`
  The operation type for a new DirectoryObject. Current value is 2.

  See Also:
    Constant Field Values
  (Unpublished)

### OPERATION_TYPE_FREE_DO

    public static final int OPERATION_TYPE_FREE_DO

  Description copied from class: `AccessControlListDeferredUpdate`
  The operation type for freeing a DirectoryObject. Current value is 3.

  See Also:
    Constant Field Values
  (Unpublished)

### OPERATION_TYPE_ADD_MEMBER_TO_GROUP

    public static final int OPERATION_TYPE_ADD_MEMBER_TO_GROUP

  Description copied from class: `AccessControlListDeferredUpdate`
  The operation type for adding a DirectoryObject to a group Current value is 4.

  See Also:
    Constant Field Values
  (Unpublished)

### OPERATION_TYPE_REMOVE_MEMBER_FROM_GROUP

    public static final int OPERATION_TYPE_REMOVE_MEMBER_FROM_GROUP

  Description copied from class: `AccessControlListDeferredUpdate`
  The operation type for removing a DirectoryObject from a group Current value is 5.

  See Also:
    Constant Field Values
  (Unpublished)

### m_Id

    protected java.lang.Long m_Id

  Description copied from class: `AccessControlListDeferredUpdate`
  The id of the deferred update entry

  (Unpublished)

### m_OperationType

    protected int m_OperationType

  Description copied from class: `AccessControlListDeferredUpdate`
  The operation type.

  (Unpublished)

### m_LeftId

    protected java.lang.Long m_LeftId

  Description copied from class: `AccessControlListDeferredUpdate`
  The left id

  (Unpublished)

### m_RightId

    protected java.lang.Long m_RightId

  Description copied from class: `AccessControlListDeferredUpdate`
  The right id

  (Unpublished)

Constructor Detail

### AccessControlListDeferredUpdate

    public AccessControlListDeferredUpdate(long id,
                                           int operationType,
                                           long leftId,
                                           long rightId)

  Constructs a AccessControlListDeferredUpdate.

  Parameters:
    `id` - the id of the entry inthe folder index update table
    `operationType` - the operation type
    `leftId` - the ID of the left object inferred by the operation type
    `rightId` - the ID of the right object inferred by the operation type
  (Unpublished)

Method Detail

### getId

    public final java.lang.Long getId()

  Description copied from class: `AccessControlListDeferredUpdate`
  Gets the id of the entry

  Returns:
    the id
  (Published)

### getOperationType

    public final int getOperationType()

  Description copied from class: `AccessControlListDeferredUpdate`
  Gets the operation type for the entry

  Returns:
    the class id
  (Published)

### getLeftId

    public final java.lang.Long getLeftId()

  Description copied from class: `AccessControlListDeferredUpdate`
  Gets the left object ID for the entry

  Returns:
    the object ID
  (Published)

### getRightId

    public final java.lang.Long getRightId()

  Description copied from class: `AccessControlListDeferredUpdate`
  Gets the right object ID for the entry

  Returns:
    the object ID
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD